import apis from "@/common/api.js";
import { req } from "@/common/net.js";
export default new Vuex.Store({
  state: {
    userPermissionObj: {},
    permissionObj: {},
    permissionArr: [],
    platformObj: {},
    unReadNum: 0,
    selectionHouseArr: [], //房源多选，
    selectionCustomerArr: [], //客户多选
    noticeObj: {}
  },
  mutations: {
    // 客户
    SET_MULCUSTOMER_ARR(state, selectionCustomerArr) {
      state.selectionCustomerArr = selectionCustomerArr;
    },
    // 房源
    SET_MULHOUSE_ARR(state, selectionHouseArr) {
      state.selectionHouseArr = selectionHouseArr;
    },
    unReadNumTag(state, unReadNum) {
      state.unReadNum = unReadNum;
    },
    SET_USER_PERMISSION_OBJ(state, userPermissionObj) {
      if (userPermissionObj) {
        state.userPermissionObj = userPermissionObj;
      }
    },
    SET_PERMISSION_OBJ(state, permissionObj) {
      if (permissionObj) {
        state.permissionObj = permissionObj;
      }
    },
    SET_PERMISSION_ARR(state, permissionArr) {
      if (permissionArr) {
        state.permissionArr = permissionArr;
      }
    },
    SET_PLATFORM_OBJ(state, platformObj) {
      if (platformObj) {
        state.platformObj = platformObj;
      }
    },
    SET_NOTICE_OBJ(state, noticeObj) {
      if (noticeObj && noticeObj.hasOwnProperty("total")) {
        state.noticeObj = noticeObj;
      }
    }
  },
  actions: {
    resetHouseAndCoustomerData(state) {
      state.state.selectionHouseArr = [];
      state.state.selectionCustomerArr = [];
    },
    async loadNoticeNum({ commit }) {
      const params = {};
      params.url = apis.api_agentMsg_backlogNum;

      const { code, data } = await req(params).then(
        res => {
          return res || {};
        },
        () => {
          return {};
        }
      );
      if (parseInt(code) === 0) {
        commit("SET_NOTICE_OBJ", data);
      }
    }
  }
});
