// 导入compression-webpack-plugin
const CompressionWebpackPlugin = require("compression-webpack-plugin");
// 定义压缩文件类型
const productionGzipExtensions = ["js", "css"];

module.exports = {
  configureWebpack: config => {
    config.externals = {
      vue: "Vue",
      vuex: "Vuex",
      axios: "axios",
      CryptoJS: "CryptoJS",
      Qs: "Qs",
      moment: "moment",
      html2canvas: "html2canvas",
      QRCode: "QRCode",
      "vue-router": "VueRouter",
      "element-ui": "ELEMENT",
      vuePhotoPreview: "vuePhotoPreview"
    };
    config.plugins.push(
      new CompressionWebpackPlugin({
        filename: "[path].gz[query]",
        algorithm: "gzip",
        test: new RegExp("\\.(" + productionGzipExtensions.join("|") + ")$"),
        threshold: 10240,
        deleteOriginalAssets: false,
        minRatio: 0.8
      })
    );
  },
  publicPath: "/oms/"
  // publicPath: process.env.VUE_APP_ENV === "prod" ?
  //   "//static.hoolihome.com/admin/oms/" : "/oms/"
};
